MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032207Open CASCADE[OCCT] OCCT:DRAWpublic2021-03-14 11:302021-03-23 21:46
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032207: Draw Harness, ViewerTest - explicitly close 3D Viewer windows at Tcl interpreter closure
DescriptionCurrently executing "exit" in Tcl interpreter relies on default C++ destructors execution order.
3D Viewer destruction is known to have extra complexities leading to segmentation failures in cases of unexpected destruction order.

Therefore, it is proposed to close 3D Viewer explicitly by registering a Tcl exit callback.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0032206verifiedbugmaster Visualization, TKOpenGl - move out OpenGL ES support to dedicated library TKOpenGles 

-  Notes
(0099533)
kgv (developer)
2021-03-16 18:56

Patch is ready for review
- OCCT: branch CR32207.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32207-master-KGV/ [^]
(0099545)
osa (developer)
2021-03-17 13:56

The patch was reviewed
(0099610)
bugmaster (administrator)
2021-03-20 12:49

Combination -
OCCT branch : IR-2021-03-19
master SHA - d209b3176e21010e096833052698f1c0da5b04d5
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-03-19 SHA - 6baf3a921c29525981c0ad7881214c9b20ffe3c1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17753.85000000016 / 17750.250000000156 [+0.02%]
Products
Total CPU difference: 11481.660000000102 / 11540.5800000001 [-0.51%]
Windows-64-VC14:
OCCT
Total CPU difference: 19361.09375 / 19341.28125 [+0.10%]
Products
Total CPU difference: 12879.75 / 12869.921875 [+0.08%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Related Changesets
occt: master a6049685
Timestamp: 2021-03-10 11:17:41
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032207: Draw Harness, ViewerTest - explicitly close 3D Viewer windows at Tcl interpreter closure
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-03-14 11:30 kgv New Issue
2021-03-14 11:30 kgv Assigned To => kgv
2021-03-14 11:30 kgv Relationship added related to 0032206
2021-03-16 18:56 kgv Note Added: 0099533
2021-03-16 18:56 kgv Assigned To kgv => osa
2021-03-16 18:56 kgv Status new => resolved
2021-03-17 13:56 osa Note Added: 0099545
2021-03-17 13:56 osa Assigned To osa => bugmaster
2021-03-17 13:56 osa Status resolved => reviewed
2021-03-20 12:49 bugmaster Note Added: 0099610
2021-03-20 12:49 bugmaster Status reviewed => tested
2021-03-20 12:56 bugmaster Test case number => Not required
2021-03-23 21:46 bugmaster Changeset attached => occt master a6049685
2021-03-23 21:46 bugmaster Status tested => verified
2021-03-23 21:46 bugmaster Resolution open => fixed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker